#!/bin/bash

if [ $# -ne 2 ]; then
   echo "Usage: "$0" <input> <output>"
else
   mkfifo MYFIFO
   mplayer -ao pcm -aofile MYFIFO -vo null -vc dummy $1 &
   #getwave gets first X seconds of a wave file including the header
   ./getwave.py MYFIFO $2 
   # stop mplayer in background
   killall -9 mplayer
   rm MYFIFO
fi
